# Enum Class TrayIcon.MessageType

java.lang.Object
java.lang.Enum<TrayIcon.MessageType>
java.awt.TrayIcon.MessageType

All Implemented Interfaces:
  `Serializable, Comparable<TrayIcon.MessageType>, Constable`

Enclosing class:
  `TrayIcon`

public static enum TrayIcon.MessageType extends Enum<TrayIcon.MessageType>
The message type determines which icon will be displayed in the caption of the message, and a possible system sound a message may generate upon showing.

Since:
  1.6
See Also:
  - `TrayIcon`
  - `TrayIcon.displayMessage(String, String, MessageType)`

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ERROR`
  An error message
  `INFO`
  An information message
  `NONE`
  Simple message
  `WARNING`
  A warning message

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TrayIcon.MessageType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TrayIcon.MessageType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ERROR

    public static final TrayIcon.MessageType ERROR
    An error message

  - ### WARNING

    public static final TrayIcon.MessageType WARNING
    A warning message

  - ### INFO

    public static final TrayIcon.MessageType INFO
    An information message

  - ### NONE

    public static final TrayIcon.MessageType NONE
    Simple message

- ## Method Details

  - ### values

    public static TrayIcon.MessageType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TrayIcon.MessageType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null